[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: sid: libc6-2.2.5-4 kills vmware workstation 3.0

phillim2@comcast.net (Mike Phillips) writes:

> Upgrading to libc6-2.2.5-4 kills vmware 3.0 workstation for linux. 
Here's a fix:

------------ snip ---------------
[ header shortened ]
From: Petr Vandrovec <vandrove@vc.cvut.cz>
Newsgroups: vmware.for-linux.experimental
Subject: Re: VMWare 3.0 dead after GLIBC upgrade
Date: Tue, 26 Mar 2002 22:05:09 +0100
Message-ID: <3CA0E285.1FC9A805@vc.cvut.cz>

Petr Vandrovec wrote:

> As SUSv2 mandates that new nice return value is correct, please use nice@GLIBC_2.2.5
> (or @GLIBC_2.2.6 as it is in CVS only) for new nice() interface, so old applications
> will not break.

Let's replace movl %eax,%ebx with xorl %ebx,%ebx ;-) Apply 
ftp://platan.vc.cvut.cz/pub/vmware/vmware-ws-1455-update12.tar.gz. It fixes issue
for VMware 3.0 and for some 3.1 betas. If you are using VMware 2.0 and you suffer
from this problem - sorry. 

It also fixes crash when you start vmnet-bridge with eth0 interface loaded, 
but down, and you'll not 'up' interface before eth0 interface disappears 
(by rmmod -a, for example) by fixing problem and not symptoms (like previous 
fix did).
------------ snip ---------------

To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: